Bug 405383 - Add python3 support for weboob plugin
Summary: Add python3 support for weboob plugin
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Applications
Component: importer (show other bugs)
Version: 5.0.3
Platform: Mageia RPMs Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dawid Wróbel
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-12 07:27 UTC by David Geiger
Modified: 2021-03-01 01:39 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.1.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Geiger 2019-03-12 07:27:06 UTC
Hi,

As now python3 support added in weboob 1.4 would it be possible to port kmymoney buildsytem also to python3, please?


SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Mageia Cauldron
(available in About System)
KDE Plasma Version: 5.12.2
KDE Frameworks Version: 5.55.0
Qt Version: 5.12.1

ADDITIONAL INFORMATION
Comment 1 Nate Graham 2019-03-16 23:39:04 UTC
"weboob"? Umm, is this a joke?
Comment 2 Jack 2019-03-16 23:54:09 UTC
No, it is not a joke.  Did you even bother to search the term, or check the KMM cmake options?
Comment 3 David Geiger 2019-08-03 15:47:26 UTC
Any news about this bug? after about 5 month
Comment 4 Jack 2019-08-03 16:32:19 UTC
As another project I follow says "Patches gratefully accepted."  
There are unfortunately, not enough developer hours available to do much more than fix bugs and very slowly work on additional features, and those are most likely to be those features of interest to the person doing the work.
Don't worry that the status is REPORTED and not CONFIRMED, as this (small) team doesn't use those values in any particular way.  Bugs often go straight from REPORTED to RESOLVED.
Comment 5 Dawid Wróbel 2019-08-15 03:35:54 UTC
The initial weboob support discussion by Łukasz Wojniłowicz specifically addresses his requirement for Python 2.7 as opposed to 3.6:
https://phabricator.kde.org/D12726

I suppose this is essentially a (reversed) guideline on how to proceed here.
Comment 6 Jack 2019-12-08 00:54:29 UTC
Hmmm - that Phabricator diff seemed to be specifically for adding Python 2.x to Craft - the build system for KDE on Windows, so I can't tell how useful it will be for porting the plugin to python 3.  

Also, just for the record, there are three python scripts within the KMM git tree
./contrib/acst2qif.py
./kmymoney/plugins/ibanbicdata/germany/germany.py
./kmymoney/plugins/ibanbicdata/netherlands/netherlands.py
and I suppose someone who knows more about Python than I do (near zero) should check that they are compaptible with Python 3.6 or 3.7.

While I know eventually Python 2 will be going EOL, it seems like it's not going to disappear from the environment any time soon, so while this will certainly need to be done eventually, it's not clear how urgent it is.
Comment 7 Andreas Sturmlechner 2020-02-09 22:51:08 UTC
Rather urgent, not so much for kmymoney's python dependency on the interpreter, but weboob which has many python library dependencies, and these upstreams are rapidly dropping python2 support now.

weboob upstream says that 1.5 can be used with python3 already, albeit it would be better with 1.6.
Comment 8 Andreas Sturmlechner 2020-02-09 22:53:58 UTC
Does kmymoney depend on weboob's full feature set including configuring with "--qt"? Being able to drop the resulting dependency on dev-python/google-api-python-client would be some relieve at least.